## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation
Class SybaseASATableValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.datatools.sqltools.core.modelvalidity.SQLModelValidator
              org.eclipse.datatools.sqltools.core.modelvalidity.DefaultSQLModelValidator
                  org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation.SybaseASABaseTableValidator
                      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation.SybaseASATableValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class SybaseASATableValidator

extends SybaseASABaseTableValidator

Sybase Adaptive Server Anywhere table validator.

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.core.modelvalidity.SQLModelValidator
`CANT_ALLOW_DUPLICATED_ROW, CANT_ALLOW_NULLABLE, DUPLICATE_IDENTIFIER, EMPTY_IDENTIFIER, INVALID_DEFAULT_VALUE, INVALID_IDENTIFIER`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, DIAGNOSTIC_SOURCE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID, INSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`SybaseASATableValidator()`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.core.modelvalidity.DefaultSQLModelValidator
`validate`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_UniqueID, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASATableValidator

    public SybaseASATableValidator()